/******************************************************************************************/
/******************************************************************************************/
/*                                                                                                                                                                                */
/* Trigger: DTULTATU_CCUSCLIE                                                                                                                                */
/* Tabela : CCUSCLIE                                                                                                                                                  */
/*                                                                                                                                                                                */
/* Criao:                                                                                                                                                                  */
/* 29/09/2005 - Wanderson Aloisio                                                                                                                          */
/*                                                                                                                                                                                */
/******************************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_CCUSCLIE'  and
            type = 'TR' and
            u.uid = o.uid and
            u.name = USER)
   DROP TRIGGER DTULTATU_CCUSCLIE
GO

CREATE TRIGGER DTULTATU_CCUSCLIE
ON CCUSCLIE
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'CCUSCLIE', '', 'CDCLIENTE='+CDCLIENTE+';CDCCUSCLIE='+CDCCUSCLIE+';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE CCUSCLIE
      SET DTULTATUCUSC = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(CCUSCLIE.CDCLIENTE,0) = ISNULL(INSERTED.CDCLIENTE,0)) AND
         (ISNULL(CCUSCLIE.CDCCUSCLIE,0) = ISNULL(INSERTED.CDCCUSCLIE,0)) AND 
         (ISNULL(CCUSCLIE.NMCCUSCLIE,0) = ISNULL(INSERTED.NMCCUSCLIE,0));
   END;
END;
GO

-- VERSAO --
EXEC ATUVEROBJ 'DTULTATU_CCUSCLIE','4.05.136';
GO

